2022-09-12Archm4,openwrt,WN-G300DGR

Openwrtの21.02でも4MB以内のイメージは作成できたが、4/32MBデバイスのサポートは、19.07が最後となっているため、18.06でコンパイル。 gccとg++のバージョンチェックでエラーとなるため、2020年12月1日バージョンにダウングレードしたArch Linuxを準備。 glibcは2.32.5から2.35-1に、ncursesは6.2-1から6.3-1アップグレード。 pacman -U pacman -U python2などの必要なパッケージを追加す ...